module GranPulse
  class Cache < Check
    def initialize
      self.type = 'cache'
    end

    def perform
      if Rails.cache.write('__gran_pulse__', 'ok', :expires_in => 1.second)
        self.healthy = true
        self.message = 'ok'
      else
        self.healthy = false
        self.message = 'nok'
      end
      self
    end
  end
end
