require "socket"
require "timeout"
require "gran_pulse/engine"

module GranPulse
  mattr_accessor :healthy
  self.healthy = 'WORKING'

  mattr_accessor :checks
  self.checks = ['cache', 'database', 'url']

  mattr_accessor :url_checks
  self.url_checks = [] #each element must be of type {host: 'http://.../', port: 123}

  def self.configure(&block)
    yield self
  end
end
